org.apache.solr.client.solrj.io.ops

## Class NotOperation

- java.lang.Object
- - org.apache.solr.client.solrj.io.ops.NotOperation

All Implemented Interfaces:
  Serializable, BooleanOperation, StreamOperation, Expressible

    public class NotOperation
    extends Object
    implements BooleanOperation

See Also:
  Serialized Form

### Field Summary

Fields
`protected BooleanOperation` `operand`

### Constructor Summary

Constructors
Constructor and Description
`NotOperation(BooleanOperation operand)`
`NotOperation(StreamExpression expression, StreamFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `evaluate()`
`void` `operate(Tuple tuple)`
`Explanation` `toExplanation(StreamFactory factory)` Returns an explanation about the stream object
`StreamExpressionParameter` `toExpression(StreamFactory factory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### operand

    protected BooleanOperation operand

### Constructor Detail

#### NotOperation

    public NotOperation(BooleanOperation operand)

#### NotOperation

    public NotOperation(StreamExpression expression,
                        StreamFactory factory)
                 throws IOException

Throws:
  `IOException`

### Method Detail

#### operate

    public void operate(Tuple tuple)

Specified by:
  `operate` in interface `StreamOperation`

#### evaluate

    public boolean evaluate()

Specified by:
  `evaluate` in interface `BooleanOperation`

#### toExpression

    public StreamExpressionParameter toExpression(StreamFactory factory)
                                           throws IOException

Specified by:
  `toExpression` in interface `Expressible`
Throws:
  `IOException`

#### toExplanation

    public Explanation toExplanation(StreamFactory factory)
                              throws IOException

Description copied from interface: `Expressible`
Returns an explanation about the stream object

Specified by:
  `toExplanation` in interface `Expressible`
Parameters:
  `factory` - Stream factory for this, contains information about the function name
Returns:
  Explanation about this stream object containing explanations of any child stream objects
Throws:
  `IOException` - throw on any error